# sb::Admin::TemplateEditor
# == Author(s) : Takuya Otani <takuya.otani@gmail.com> ==
# == Copyright (C) 2005 SimpleBoxes/SerendipityNZ Ltd. ==

# ======================================
package sb::Admin::TemplateEditor;
use strict;
use sb::Admin::Editor ();
use base qw( sb::Admin::Editor );
use vars qw( $VERSION );
$VERSION = '0.00';
# 0.00 [2007/09/17] generated
# --------------------------------------
# // defines
# .. nothing ..
# --------------------------------------
# // override base class
sub initialize
{
	my $self = shift;
	$self->SUPER::initialize(@_);
	return $self;
}
sub run
{
	my $class = shift;
	my $self = $class->new(@_);
	return $self->display_editor();
}
# --------------------------------------
# // public functions - main routine
sub display_editor
{
	my $self = shift;
	my %param = (
		'id'        => 'entry_body',
		'code'      => 'html',
		'content'   => '',
		'imgselect' => 1,
		@_
	);
	return if (!$self->temp);
	$self->temp->num(0);
	$self->temp->tag('sb_editor_id'=>$param{'id'});
	$self->temp->tag('sb_editor_code'=>$param{'code'});
	$self->temp->tag('sb_editor_content'=>$param{'content'});
	$self->temp->block('sb_editor_main'=>1);
	$self->common_parts($self->temp);
	$self->_toolicons('editor');
	$self->_image_selector() if ($param{'imgselect'});
	return $self->temp->output();
}
# --------------------------------------
# // private functions
sub _toolicons
{
	my $self = shift;
	my $mode = shift;
	return if (!$self->temp);
	$self->temp->block('sb_editor_link' => 1);
	$self->temp->block('sb_editor_convert' => 1);
}
sub _image_selector
{
	my $self = shift;
	return if ( !$self->temp );
	my $selector = '';
	$self->temp->num(0);
	$self->temp->tag('sb_editor_images'=>$selector);
	$self->temp->block('sb_editor_imageselector'=>0);
}
1;
__END__
